package com.docus.server.record.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.docus.server.record.pojo.dto.TBasicDTO;
import com.docus.server.record.pojo.entity.TBasic;

import java.util.List;

public interface ITBasicService extends IService<TBasic> {

    /**
     * 新增
     *
     * @param dto
     * @throws Exception
     */
    void insertTBasic(TBasicDTO dto);

    /**
     * 更新
     *
     * @param dto
     * @throws Exception
     */
    void updateTBasic(TBasicDTO dto);

    /**
     * 批量新增
     *
     * @param basicDTOList
     */
    void batchSaveBasics(List<TBasicDTO> basicDTOList);

    /**
     * 根据记账号查询数据
     *
     * @param jzh
     * @return
     */
    Integer findByJzh(String jzh);
}
